package com.diagbot.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.service.LibraryInfoService;
import com.diagbot.vo.GetAllInformationVO;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryInfoServiceImpl extends ServiceImpl<LibraryInfoMapper, LibraryInfo> implements LibraryInfoService {

    @Override
    public IPage<LibraryInfoDTO> getAllConcept(GetAllInformationVO conceptVo) {
        return baseMapper.getAllConcept(conceptVo);
    }

    @Override
    public List<LibraryInfo> getLimboItems() { return baseMapper.getLimboItems(); }
}
